BackPack=Turbine.Gameplay.LocalPlayer.GetInstance():GetBackpack();
BackPack.listeners={}
BackPack.AddListener=function(listener)
    BackPack.RemoveListener(listener);
    table.insert(BackPack.listeners, listener);
end
BackPack.RemoveListener=function(listener)
    local i;
    for i = 1, table.getn(BackPack.listeners) do
        if (BackPack.listeners[i] == listener) then
            table.remove(BackPack.listeners, i);
            break;
        end
    end
end
BackPack.ItemAdded=function(sender,args)
    local i;
    for i = 1, table.getn(BackPack.listeners) do
        if (type(BackPack.listeners[i].ItemAdded) == "function") then
            BackPack.listeners[i]:ItemAdded(sender,args);
        end
    end
end
BackPack.ItemMoved=function(sender,args)
	BackPack.LastMoveSlot=args.OldIndex;
    local i;
    for i = 1, table.getn(BackPack.listeners) do
        if (type(BackPack.listeners[i].ItemMoved) == "function") then
            BackPack.listeners[i]:ItemMoved(sender,args);
        end
    end
end
BackPack.ItemRemoved=function(sender,args)
    local i;
    for i = 1, table.getn(BackPack.listeners) do
        if (type(BackPack.listeners[i].ItemRemoved) == "function") then
            BackPack.listeners[i]:ItemRemoved(sender,args);
        end
    end
end
BackPack.SizeChanged=function(sender,args)
    local i;
    for i = 1, table.getn(BackPack.listeners) do
        if (type(BackPack.listeners[i].SizeChanged) == "function") then
            BackPack.listeners[i]:SizeChanged(sender,args);
        end
    end
end